# Scoring

## Overview

This section will cover the basic packets that will be a part of every game wh. A match is played the best **3 of 5 games**. For each game, the first player to reach 11 points wins that game, however a game must be won by at least a two point margin. A point is scored after each ball is put into play.

1. Point Started
2. Point Scored

## 1. Point Started

This packet indicates that a point has now started and the ball has been served.

```
{
    "eventElementType": "PointStarted",
    "game": 1,
    "id": 99991,
    "seqNum": 6,
    "server": "TeamA",
    "nextServer" "TeamA",
    "timestamp": "2021-07-13T13:42:24.867Z"
}
```

## 2. Point Scored

The aim in table tennis is to strike the ball in a manner that the opponent fails to make contact with the ball, which earns the player a point. If the ball hits the net and it fails to bounce over into the opponent’s half, or hits it over the net and out of bounds without coming into contact with the table, the opponent gets a point.

In doubles, the scoring rule is a bit different. Here, the server and the partner have to alternate while attempting to push the ball on to the opponent’s side of the table. Here the service alternates as well.

The opponent can also be awarded a point if you hit the ball outside the playing surface or if the ball comes in contact with any part of your body while attempting a shot.

Once the point has completed (scored), a `PointScored` packet will be emitted, and the field called `scoredBy` , is indicating which player won the point.

This packet includes an array providing the `scores` for each period within the `game`, ordered such that the score for period one is listed first, followed by the score for period two, and so on.

Also after a game has been won, the field calle `gameWon` shows which team won the game.

```
{
    "eventElementType": "PointScored",
    "id": 99991,
    "seqNum": 1,
    "scoredBy": "TeamA",
    "scores": [
        {
            "pointsA": 11,
            "pointsB": 0
        },
        {
            "pointsA": 0,
            "pointsB": 0
        },
        {
            "pointsA": 0,
            "pointsB": 0
        },
        {
            "pointsA": 0,
            "pointsB": 0
        },
        {
            "pointsA": 0,
            "pointsB": 0
        }
    ],
    "matchScore": {
        "pointsA": 0,
        "pointsB": 0
    },
    "server": "TeamA",
    "nextServer": "TeamA",
    "game": 1,
    "gameWon": "TeamA",
    "timestamp": "2021-10-01T00:00:00.000Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/table-tennis/live-data-scenarios/during-a-match/scoring.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
